# Fetch Rate Card Table Rows

Returns all Rate Card Table Rows for a specified Rate Card Set Version.

Endpoint: GET /rate_card_set_versions/{rate_card_set_version_id}/rate_card_table_rows
Version: 1.0.0

## Path parameters:

  - `rate_card_set_version_id` (integer, required)
    The ID of the Rate card set version.

## Response 200 fields (application/json):

  - `count` (integer)
    The number of Rate Card Table Rows in the Rate Card Set Version.

  - `meta` (object)

  - `meta.count` (integer)
    The number of Rate Card Table Rows in the Rate Card Set Version.

  - `meta.page_count` (integer)
    The total number of pagination pages.

  - `meta.page_number` (integer)
    The current pagination page.

  - `meta.page_size` (integer)
    The number of Rate Card Table Rows in a pagination page.

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)
    The ID of the Rate Card Table Row, defined as `<rate_card_set_version_id>`:`<role_id>`.

  - `rate_card_table_rows` (object)
    Rate card table rows keyed by composite `<rate_card_set_version_id>:<role_id>`.

  - `rate_card_table_rows.id` (string)
    The ID of the Rate Card Table Row, defined as `<rate_card_set_version_id>`:`<role_id>`.

  - `rate_card_table_rows.rate_card_set_id` (integer)
    The ID of the Rate Card Set.

  - `rate_card_table_rows.rate_card_set_version_id` (integer)
    The ID of the Rate Card Table Set Version.

  - `rate_card_table_rows.role_id` (integer)
    The ID of the Role.

  - `rate_card_table_rows.name` (string)
    The name of the Role.

  - `rate_card_table_rows.removable` (boolean)
    If `true`, this Rate Card Table Row is removable.

  - `rate_card_table_rows.cells` (object)
    Per-currency rate cells keyed by ISO currency code.

  - `rate_card_table_rows.cells.rate_card_role_id` (integer)
    The ID of the Rate Card Role for the specified currency.

  - `rate_card_table_rows.cells.rate` (integer)
    The rate for the specified Rate Card Role.

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

